Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Services/Overlay

Get Opt-in for Key Based Deduplication for a service

get
/v3/services/{serviceID}/config
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/services/{serviceID}/config
GET /v3/services/{serviceID}/config HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "dedup_key_enabled": true
  }
}

Opt-in for Key Based Deduplication for a service

patch
/v3/services/{serviceID}/config
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Body
dedup_key_enabledbooleanOptional
Responses
200

The request has succeeded.

application/json
objectOptional
patch/v3/services/{serviceID}/config
PATCH /v3/services/{serviceID}/config HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 26

{
  "dedup_key_enabled": true
}
{}

Last updated